### Function

# EDataServer xml_to_hash

#### Declaration [src]

    GHashTable*
    e_xml_to_hash (
      xmlDoc* doc,
      EXmlHashType type
    )

#### Description [src]

Creates a `GHashTable` representation of the #xmlDoc `doc`. If `type` is * `E_XML_HASH_TYPE_PROPERTY`, all XML nodes will be indexed in the `GHashTable` by name. If `type` is `E_XML_HASH_TYPE_OBJECT_UID`, then XML objects will be indexed in the hash by their UID (other nodes will still be indexed by name).

#### Parameters

`doc`

  Type: `xmlDoc`

  The #xmlDoc to store in a hash table.

  The data is owned by the caller of the function.

`type`

  Type: `EXmlHashType`

  The value type to use as a key in the hash table.

#### Return value

Type: `GHashTable`

The newly-created `GHashTable` representation of `doc`.

The caller of the function takes ownership of the data, and is responsible for freeing it.